<style>
:root {
}
@font-face {
font-family: 'Pixel-Font7';
src: url("../siteassets/pixelfont7.ttf");
}

body {
font-family: 'Pixel-Font7', sans-serif; /*font & fallback font*/
margin: 0;
background-image: url("../siteassets/repeatingpattern.png");
background-size: 250px;
background-repeat: repeat;
color: #000843;
}

* {
box-sizing: border-box;
}

#container {
max-width: 1100px;
margin: 0 auto;
border: 12px solid #000843;
}

#container a /*ALL LINKS ON THE PAGE*/ {
color: #89D3CC;
font-weight: bold;
text-decoration:none;
}
#container a:hover {
color: #89D3CC;
text-decoration: underline;
text-decoration-style: dashed;
}

#header {
width: 100%;
background-color: #EBF5F4;
height: 100%;
padding: 10px;
}

.gridcontainer1A {
display: grid;
grid-template-columns: 1fr;
grid-column-gap: 10px;
grid-row-gap: 0px;
width: 100%;
height: 100%;

}

.g2 {
background-color: #000843;
color: #89D3CC;
padding: 10px;
}
.g2 p{
margin: 0;
padding: 0;
font-size: 18px;
}
.g2 h1{
margin: 0;
padding: 0;
font-size: 80px;
}

.gridcontainerFIX {
display: grid; 
  grid-template-columns: 2fr 1fr; 
  grid-template-rows: 1fr; 
  gap: 0px 0px; 
width: 650px;
height: 100%;
margin: auto;


}

.gFIX {
grid-area: 1 / 1 / 2 / 3;
background-color: #000843;
color: #89D3CC;
padding: 10px;
width: 650px;
height: 100%;
margin: auto;
text-align: left
}

.statetext { grid-area: 1 / 1 / 2 / 2;

}
.stateimg { grid-area: 1 / 2 / 2 / 3;
}

.gridcontainerFIX2 {
background-color: #000843;
color: #89D3CC;
  display: grid; 
  grid-template-columns: 1fr 1fr 1fr; 
  grid-template-rows: 1fr 1fr 1fr; 
  gap: 0px 0px;  
padding: 10px;
width: 80%;
height: 300px;
margin: auto;
text-align: left;
line-height: 1.2;
}


.statetext2 { grid-area: 1 / 1 / 4 / 3;
overflow: auto;
}

.statetext2 h1 {
margin: 0;
padding: 0;
font-size: 20px;
}
.stateimg2 { grid-area: 1 / 3 / 4 / 4;
display:flex;
}




#navbar {
height: 100%;
background-color: #000843;
width: 100%;
overflow:hidden;
white-space: normal;
}

#navbar ul {
display: flex;
padding: 10px;
margin: 0;
list-style-type: none;
justify-content: space-evenly;
}

#navbar li {
padding: 10px;
}

/* navigation links*/
#navbar li a {
color: #89D3CC;
/* navbar text color */
font-weight: 800;
font-size: 25px;
text-decoration: none;
}

#navbar li a:hover {
color: #89D3CC;
text-decoration: underline;
text-decoration-style: dashed;
            }

#flex {
display: flex;
}

 main {
                background-color: #EBF5F4;

                flex: 1;
                padding: 20px;
                order: 2;
              height: 100%;
   width: 100%;
   line-height: 0;
}

.comicnavi {
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: 1fr;
  gap: 0px 0px;
  grid-template-areas:
    "navi";
  width: 400px;
height: 100%;
 margin: auto;
}
.navi { grid-area: navi;
background-color: #000843;
color: #89D3CC;
padding: 10px;
}
.navi ul {
display: flex;
padding: 10px;
margin: 0;
list-style-type: none;
justify-content: space-evenly;
}
navi li {
padding: 10px;
}

figure {

}

.gridcontainer2a {  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-template-rows: 1fr 1fr 1fr;
  gap: 20px 20px;
  grid-auto-flow: row;
  list-style-type: none;
justify-content: space-evenly;

}

.floffy { grid-area: 1 / 1 / 4 / 2;
width:360px;
max-width:360px;
height: 300px;
}

.floffy2 { grid-area: 1 / 2 / 4 / 4; }

.ga { grid-area: 1 / 1 / 2 / 2;
background-color: #000843;
color: #89D3CC;
padding: 10px;
width:100%;
height: 100px;

}
.ga img {
width: 350px;
height: 80px;

}

.gb { grid-area: 2 / 1 / 3 / 2;
background-color: #000843;
color: #89D3CC;
padding: 10px;
width:100%;
height: 100px;
}
.gb img {
width: 350px;
height: 80px;
}

.gc { grid-area: 3 / 1 / 4 / 2;
background-color: #000843;
color: #89D3CC;
padding: 10px;
width:100%;
height: 100px;
}
.gc img {
width: 350px;
height: 80px;
}

.gd { grid-area: 1 / 2 / 4 / 4;
background-color: #000843;
color: #89D3CC;
padding: 10px;
max-height: 340px;
max-width: 100%;
}

.gd img {
width: 100%;
height: 100%;
}

.gridcontainer2b {  display: grid;
  grid-template-columns: 2fr 1fr;
  grid-template-rows: 1fr 1fr;
  gap: 20px 20px;
  grid-auto-flow: row;
  overflow:hidden;}

.borp { grid-area: 1 / 1 / 3 / 2;
background-color: #000843;
color: #89D3CC;
padding: 10px;
width: 100%;
height: 400px;
max-height: 400px;
}

.borp p {
margin: 0;
font-size: 16px;
}
.borp h1 {
margin: 0;
}
.borp ul {
margin: 0;
padding: 2;
}
.borp li {
margin: 0;
padding: 2;
}
.borp2 { grid-area: 1 / 2 / 3 / 3;
}

.c1 { grid-area: 1 / 2 / 2 / 3;
background-color: #000843;
  color: #89D3CC;
padding: 10px;
width: 100%;
height: 100%;
max-height: 190px;
overflow:hidden;
}

.c1 img {
height: 100%;
width: 100%;
}

.c2 { grid-area: 2 / 2 / 3 / 3;
background-color: #000843;
color: #89D3CC;
padding: 10px;
width: 100%;
height: 100%;
max-height: 190px;
}

.c2 img {
height: 100%;
width: 100%;
}

hr {
  border: 0;
  border-top: 2px solid #89D3CC;
}
/* Dashed border */
hr.dashed {
  border-top: 3px dashed #89D3CC;
}

footer {
                background-color: #000843;
              color: #89D3CC;
                /* background color for footer */
                width: 100%;
                height: 100%;
                padding: 20px;
  text-align: center;}
              h1,
            h2,
            h3 {
                color: #89D3CC;
            }

            h1 {
                font-size 25px;
            }

            strong {
                /* this styles bold text */
                color: #89D3CC;
            }

            /* this is just a cool box, it's the darker colored one */
            .box {
                background-color: #13092D;
                border: 1px solid #ED64F5;
                padding: 10px;
            }

            /* CSS for extras */

            #topBar {
                width: 100%;
                height: 30x;
                padding: 10px;
                font-size: smaller;
                background-color: #13092D;
            }




            /* BELOW THIS POINT IS MEDIA QUERY */

            /* so you wanna change the width of your page?
    by default, the container width is 900px.
    in order to keep things responsive, take your new height,
    and then subtrack it by 100. use this new number as the
    "max-width" value below
    */

            @media only screen and (max-width: 900px) {
                #flex {
                    flex-wrap: wrap;
                }

                aside {
                    width: 100%;
                }

                /* the order of the items is adjusted here for responsiveness!
      since the sidebars would be too small on a mobile device.
      feel free to play around with the order!
      */
                main {
                    order: 1;
                }

                #leftSidebar {
                    order: 2;
                }

                #rightSidebar {
                    order: 3;
                }

                #navbar ul {
                    flex-wrap: wrap;
                }
</style>
